<script>
	export let id="slider_component";
	export let titleText="";
	export let value_min=0;
	export let value_max=100;
	export let min=0;
	export let max=100;
	export let step=1;	
	export let value;
</script>

<div class="slider">
<label for={id}>{titleText}</label>
<input class="rangelower" id={id} type='range' min={min} max={max} step={step} bind:value={value_min}/>
<input class="rangeupper "id={id} type='range' min={min} max={max} step={step} bind:value={value_max}/>
<input id={id} type='number' min={min} max={max} bind:value={value}/>
<!-- <input id={id} type='number' min={min} max={max} bind:value={value}/> -->
</div>

<style>
	div.slider{
		padding: 2px;	
	}
	
	label{
		display: inline;
		font-size: 10pt;
		margin: 2px;
		padding: 0px;
	}

	input[type="number"]{
		width: 4em;
		height: 20px;
		text-align: right;
		vertical-align: top;
		padding: 2px;
		margin: 0px;
		border-width: 1px;
		border-radius: 5px;
		font-size: 8pt;
		background: #fff;
	}

	input[type="range"]{
		width: 8em;
		vertical-align: middle;
		margin: 0px;
		padding: 0px;
		outline: 0;
		border: 0;
		border-radius: 5px;
		width: 150px;
		max-width: 100%;
		margin: 0px;
		transition: box-shadow 0.2s ease-in-out;
		overflow: hidden;
		height: 20px;
		-webkit-appearance: none;
		background-color: #ddd;
		opacity: 0.5;
	}

	input[type="range"].rangelower {
		position: absolute;
		height: 15px;
	}

	input[type="range"]::-webkit-slider-runnable-track {
		height: 20px;
		-webkit-appearance: none;
		color: #444;
	}

	input[type="range"]::-webkit-slider-thumb {
		width: 20px;
		-webkit-appearance: none;
		height: 20px;
		cursor: ew-resize;
		background: #fff;
		box-shadow: -340px 0 0 330px #1567c0, inset 0 0 0 3px #1567c0;
		border-radius: 5px;
		position: relative;
	}

	/* input[type="range"]:active::-webkit-slider-thumb {
		background: #fff;
		box-shadow: -340px 0 0 330px #1597ff, inset 0 0 0 3px #1597ff;
	} */


/* input[type="range"]::-moz-range-progress {
				background-color: #43e5f7;
			}
input[type="range"]::-moz-range-track {
				background-color: #9a905d;
			}

input[type="range"]::-ms-fill-lower {
				background-color: #43e5f7;
			}
input[type="range"]::-ms-fill-upper {
				background-color: #9a905d;
			} */



</style>